package com.buy507.mall.mapper;

import com.buy507.mall.model.UmsMemberAccountTransaction;
import com.buy507.mall.model.UmsMemberAccountTransactionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UmsMemberAccountTransactionMapper {
    long countByExample(UmsMemberAccountTransactionExample example);

    int deleteByExample(UmsMemberAccountTransactionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsMemberAccountTransaction record);

    int insertSelective(UmsMemberAccountTransaction record);

    List<UmsMemberAccountTransaction> selectByExample(UmsMemberAccountTransactionExample example);

    UmsMemberAccountTransaction selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsMemberAccountTransaction record, @Param("example") UmsMemberAccountTransactionExample example);

    int updateByExample(@Param("record") UmsMemberAccountTransaction record, @Param("example") UmsMemberAccountTransactionExample example);

    int updateByPrimaryKeySelective(UmsMemberAccountTransaction record);

    int updateByPrimaryKey(UmsMemberAccountTransaction record);
}